Package ru.bitel.bgbilling.kernel.event.events

# Class VoiceLogProcessedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.events.VoiceLogProcessedEvent

All Implemented Interfaces:
  `Serializable`

public class VoiceLogProcessedEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Событие для оповещения модуля СОРМ об обработки очередной партии логов экземпляра модуля Voice. Медиатор уже обработал партию логов и если в конфигурации устройства включена выгрузка в СОРМ, то данные были сохранены в таблицу БД, которая будет очищена для данного устройства модулем СОРМ после обработки данного события.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceLogProcessedEvent()`
  `VoiceLogProcessedEvent(int moduleId, int voiceDeviceId, int lineCount, String numberConverters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLineCount()`
  `String`
  `getNumberConverters()`
  `int`
  `getVoiceDeviceId()`
  `void`
  `setLineCount(int lineCount)`
  `void`
  `setNumberConverters(String numberConverters)`
  `void`
  `setVoiceDeviceId(int voiceDeviceId)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceLogProcessedEvent

    public VoiceLogProcessedEvent(int moduleId, int voiceDeviceId, int lineCount, String numberConverters)
    Parameters:
      `moduleId` - ID модуля
      `voiceDeviceId` - ID устройства Voice

  - ### VoiceLogProcessedEvent

    public VoiceLogProcessedEvent()

- ## Method Details

  - ### getVoiceDeviceId

    public int getVoiceDeviceId()

  - ### getLineCount

    public int getLineCount()

  - ### setVoiceDeviceId

    public void setVoiceDeviceId(int voiceDeviceId)

  - ### setLineCount

    public void setLineCount(int lineCount)

  - ### getNumberConverters

    public String getNumberConverters()

  - ### setNumberConverters

    public void setNumberConverters(String numberConverters)